#
# spec file for package maildrop (Version 1.3.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  db-devel gpp libgpp libtool
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         maildrop
%define prefix %{_prefix}
Copyright:    GPL
Group:        Utilities/System
Autoreqprov:  on
Version:      1.3.1
Release:      76
Summary:      A powerful maildelivery agent
Source:       maildrop-%{version}.tar.bz2
BuildRoot:    /var/tmp/build-%{name}-root

%description
Maildrop is a combination mail filter/mail delivery agent.
Maildrop reads the message to be delivered to your mailbox,
optionally reads instructions from a file how filter incoming
mail, then based on these instructions may deliver mail to an
alternate mailbox, or forward it, instead of dropping the
message into your mailbox.
Maildrop uses a structured, real, meta-programming language in
order to define filtering instructions.  Its basic features are
fast and efficient.  At sites which carry a light load, the
more advanced, CPU-demanding, features can be used to build
very sophisticated mail filters.  Maildrop deployments have
been reported at sites that support as many as 30,000
mailboxes.

Authors:
--------
    Sam Varshavchik <mrsam@geocities.com>

SuSE series: n

%prep
%setup -n maildrop-%{version}
CFLAGS="$RPM_OPT_FLAGS" \
./configure  --with-devel --enable-userdb --enable-maildirquota --enable-syslog=1 --enable-trusted-users='root mail daemon postmaster qmaild mmdf' --enable-restrict-trusted=0  --enable-sendmail=/usr/sbin/sendmail --prefix=%{prefix} --mandir=%{_mandir}

%build
make 

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/maildrop
mv $RPM_BUILD_ROOT%{prefix}/share/maildrop/html $RPM_BUILD_ROOT%{_docdir}/maildrop

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%doc maildir/README.maildirquota.html maildir/README.maildirquota.txt
%doc COPYING README README.postfix INSTALL NEWS UPGRADE ChangeLog maildroptips.txt
%doc *.html
%{_mandir}/man[158]/*
%defattr(-, bin, bin)
%attr(6555, root, mail) %{_bindir}/maildrop
%attr(6555, root, mail) %{_bindir}/dotlock
%{prefix}/bin/maildirmake
%{prefix}/bin/deliverquota
%{prefix}/bin/makedat
%{prefix}/bin/makedatprog
%{prefix}/bin/makeuserdb
%{prefix}/bin/pw2userdb
%{prefix}/bin/userdb
%{prefix}/bin/userdbpw
%{prefix}/bin/reformail
%{prefix}/bin/makemime
%{prefix}/bin/reformime
%{prefix}/bin/vchkpw2userdb
%package devel
Summary:      The development files for maildrop
Group:        Development/Libraries 
Autoreqprov:  on

%description devel
This package contains libraries and header which are necessary in order to
develop own maildeliveryagents based on maildrop.

SuSE series: n


%files devel
%{_mandir}/man3/*
%{prefix}/include/*
%{prefix}/lib/*

%changelog -n maildrop
* Sat Apr 21 2001 - egger@suse.de
- Updated to 1.3.1. Bugfix release.
* Tue Apr 17 2001 - kukuk@suse.de
- Remove extra Version/Release tag from subpackage
* Thu Feb 08 2001 - egger@suse.de
- Update to 1.3.0.
* Wed Jan 10 2001 - egger@suse.de
- Out of a sudden it failed build because the documentation
  was build in a different place. Fixed.
* Sun Dec 03 2000 - egger@suse.de
- Initial SuSE package.
